struct _RoverBuffer {
  int alloc;			/* Allocated space */
  int size;			/* Space currently in use */
  void *data;			/* Data buffer */
};
typedef struct _RoverBuffer RoverBuffer;  

extern RoverBuffer *RoverBufferInit(int size);
extern int RoverBufferSize(RoverBuffer *buf);
extern void *RoverBufferBuf(RoverBuffer *buf);
extern void RoverBufferFree(RoverBuffer *buf);
extern void RoverBufferAppendBin(RoverBuffer *buf, void *data, int size);
extern void RoverBufferAppend(RoverBuffer *buf, char *data);
extern void RoverBufferAppendC(RoverBuffer *buf, char data);
extern void RoverBufferTerminate(RoverBuffer *buf);
extern void RoverBufferSetBin(RoverBuffer *buf, void *data, int size, int idx);

