#ifndef ROVERERR_H
#define ROVERERR_H

typedef enum _RoverErr {
  ROVER_OK = 0,
  ROVER_ERR = -1,		/* Generic error */
  ROVER_UKN_SVC = -2,		/* Unknown service */
  ROVER_INVLD_SES = -3,		/* Invalid session number */
  ROVER_INVLD_LOC = -4,		/* Invalid location or loc./exclus. conflict */
  ROVER_NOT_OWNER = -5,		/* Not owner of session */
  ROVER_OBJ_EXISTS = -6,	/* Tried to create an existing object */
  ROVER_INVLD_PRIORITY = -7,	/* Bad priority queue value */
  ROVER_NO_MEM = -8,		/* Out of memory */
  ROVER_INVLD_METHOD = -9,	/* Invalid access method */
  ROVER_NO_SLOTS = -10,		/* Out of callback slots */
  ROVER_INVLD_MSGID = -12,	/* Invalid message ID */
  ROVER_SEND_ERR = -13		/* Client<->Access Manager send error */
} RoverErr;

#endif /* ROVERERR_H */
